Bug 54845 - use of openssh results in modprobe of ipv6 module net-pf-10
use of openssh results in modprobe of ipv6 module net-pf-10
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-20 17:53 EDT by Landon Curt Noll
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-20 17:53:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Landon Curt Noll 2001-10-20 17:53:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.2.19-7.0.10 i686)

Description of problem:
After installing the recent RH critical updates (kernel 2.2.19-7.0.8 to
2.2.19-7.0.10; glibc 2.2-12 to 2.2.4-18.7.0; openssh 2.5.2p2-1.7.2 to
2.9p2-8.7), in-bound connections result on modprobe looking
for the non-existent module net-pf-10.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start openssh (2.9p2-8.7) on a 2.2.19-7.0.10 kernel
2.monitor syslog output
3.ssh into the host
	

Actual Results:  ssh login completes and syslog receives the modprobe
error:

    modprobe: modprobe: Can't locate module net-pf-10



Expected Results:  ssh login completes and no warning is issued

Additional info:

FYI: The current modutils level is modutils-2.3.21-1.
I am using the 'stock' sshd_config.
Also the kernel was configured without IPV6:

    # CONFIG_IPV6 is not set

If one adds:

    alias net-pf-10 off

to /etc/modules.conf, this syslog warning goes away.
Comment 1 Nalin Dahyabhai 2002-03-07 12:31:42 EST
The alias is there in newer modutils, so I'm marking this as fixed in the
current release.

Note You need to log in before you can comment on or make changes to this bug.